Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\LegacyDFSCluster Class Reference
Inheritance diagram for eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\LegacyDFSCluster:

## Public Member Functions
| getParentServiceId ()
| Returns the ID of the base, abstract service used to create the handlers. More...
| configureHandler (ServiceDefinition $definition, array $config)
| Configure the handler service based on the configuration. More...
| addConfiguration (ArrayNodeDefinition $node)
| Adds the handler's semantic configuration. More...

## Detailed Description

Definition at line 14 of file Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/LegacyDFSCluster.php.

## Member Function Documentation

## ◆ addConfiguration()

eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\LegacyDFSCluster::addConfiguration | ( | ArrayNodeDefinition | $node | ) |

Adds the handler's semantic configuration.

Example:

$node
->info( 'my info' )->example( 'an example' )
->children()
->scalarNode( 'an_argument' )->info( 'This is an argument' )
->end();

Parameters

  ArrayNodeDefinition | $node | The handler's configuration node.

Implements eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory.

Definition at line 26 of file Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/LegacyDFSCluster.php.

## ◆ configureHandler()

eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\LegacyDFSCluster::configureHandler | ( | ServiceDefinition | $serviceDefinition,
|  | array | $config
| ) |  |

Configure the handler service based on the configuration.

Arguments or calls can be added to the $serviceDefinition, extra services or parameters can be added to the container.

Note: if the factory implements ContainerAwareInterface, the ContainerBuilder will be made available as $this->container.

Parameters

  ServiceDefinition | $serviceDefinition |
  array | $config |

Implements eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory.

Definition at line 21 of file Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/LegacyDFSCluster.php.

## ◆ getParentServiceId()

eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\LegacyDFSCluster::getParentServiceId | ( |  | ) |

Returns the ID of the base, abstract service used to create the handlers.

It will be used as the base name for instances of this handler, and as the parent of the instances' services.

Returns
  string

Implements eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory.

Definition at line 16 of file Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/LegacyDFSCluster.php.

The documentation for this class was generated from the following file:

- Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/LegacyDFSCluster.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.